FeesApi - interface

export
interface

  FeesApiInterface

### Hierarchy

- FeesApiInterface

### Implemented by

- FeesApi

## Index

### Methods

- getFeeTransfer
- getFeeTransferRaw

## Methods

### getFeeTransfer

- getFeeTransfer(initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/FeesApi.ts:38

  Get an estimated fee rate for STX transfer transactions. This a a fee rate / byte, and is returned as a JSON integer Get estimated fee

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getFeeTransferRaw

- getFeeTransferRaw(initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/FeesApi.ts:32

  Get an estimated fee rate for STX transfer transactions. This a a fee rate / byte, and is returned as a JSON integer

  summary

    Get estimated fee

  throws

    {RequiredError}

  memberof

    FeesApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

Generated using TypeDoc